%define name nfs-utils
%define ver  0.2.1
%define rel  6.2ml
%define srl  2003071701

Name:    %{name}
Version: %{ver}
Release: %{rel}
Serial:  %{srl}

Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Source0: ftp://nfs.sourceforge.net/pub/nfs/nfs-utils-%{version}.tar.gz
Source1: nfs-doc-19990815.tar.gz
Source10: nfs.init
Source11: nfslock.init
Patch: statd-drop-privs.patch
Patch1: nfs-utils-0.2beta-nowrap.patch
Patch2: nfs-utils-1.0.3-mountd.secfix.patch
Group: System Environment/Daemons
Obsoletes: nfs-server
Obsoletes: knfsd
Obsoletes: knfsd-clients
Obsoletes: nfs-server-clients 
Obsoletes: knfsd-lock
Provides: nfs-server 
Provides: nfs-server-clients 
Provides: knfsd-lock 
Provides: knfsd-clients 
Provides: knfsd
License: GPL
Buildroot: %{_tmppath}/%{name}-root
Requires: kernel >= 2.2.14, portmap >= 4.0
Prereq: /sbin/chkconfig /usr/sbin/useradd
#NoSource: 0
#NoSource: 1

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%prep
%setup -q -a 1 
%patch -p1 -b .drop-privs
%patch1 -p0
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=${RPM_BUILD_ROOT}%{_mandir}
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make install install_prefix=$RPM_BUILD_ROOT
install -s -m 755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m 755 %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
mv $RPM_BUILD_ROOT/usr/sbin/rpc.lockd $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/rpc.statd $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/statd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -c "RPC Service User" -r \
        -s /bin/false -u 29 -d /var/lib/nfs rpcuser 2>/dev/null || :

%post
#/sbin/chkconfig --add nfs
#/sbin/chkconfig --add nfslock

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
    /sbin/chkconfig --del nfslock
    /usr/sbin/userdel rpcuser 2>/dev/null || :
    /usr/sbin/groupdel rpcuser 2>/dev/null || :
fi

%triggerpostun -- nfs-server
/sbin/chkconfig --add nfs

%triggerpostun -- knfsd
/sbin/chkconfig --add nfs

%triggerpostun -- knfsd-clients
/sbin/chkconfig --add nfslock

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/nfs
%dir /var/lib/nfs
%dir %attr(700,rpcuser,rpcuser) /var/lib/nfs/statd
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%doc nfs/*.html nfs/*.ps linux-nfs/*
/sbin/rpcdebug
/sbin/rpc.lockd
/sbin/rpc.statd
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/nhfsstone
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.rquotad
/usr/sbin/showmount
%{_mandir}/*/*
%config /etc/rc.d/init.d/nfslock

%changelog
* Thu Jul 17 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- fix off-by-one buffer overflow bug(Patch No.2)

* Thu Mar  8 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Removed the function to keep previous setting from postinstall and
  preinstall script.

* Wed Mar  7 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified postinstall and preinstall script to keep previous setting.

* Wed Mar 7 2001 Go Taniguchi <go@turbolinux.co.jp>
- do not add in post, we do not need start nfs

* Wed Dec 20 2000 Masaru Yokoi <masaru@turbolinx.co.jp>
- Modified for Centro.

* Thu Dec 14 2000 Go Taniguchi <go@turbolinux.co.jp>
- makeing for 2.2.18

* Wed Oct 11 2000 Go Taniguchi <go@turbolinux.co.jp>
- Change package knffsd to nfs-utils
- version 0.2.1
